Sequel.migration do

  up do
    # create tests table
    create_table(:tests) do
      primary_key :id
      foreign_key :hardware_id, :hardware
      String :date_tag, null: false
      String :description, text: true
      DateTime :created_at, default: Sequel::CURRENT_TIMESTAMP
      DateTime :updated_at, default: Sequel::CURRENT_TIMESTAMP
    end

    # create many-to-many table for benchmarks and tests
    create_table(:tests_benchmarks) do
      foreign_key :test_id, :tests
      foreign_key :benchmark_id, :benchmarks
      DateTime :created_at, default: Sequel::CURRENT_TIMESTAMP
      DateTime :updated_at, default: Sequel::CURRENT_TIMESTAMP
    end
  end

  down do
    drop_table(:tests_benchmarks)
    drop_table(:tests)
  end

end
